package com.rv.points.bean;

import com.google.gson.annotations.SerializedName;
import com.ruiwenliu.wrapper.base.BaseBean;

public class UserPointInfoBean extends BaseBean {
    @SerializedName("rel")
    private boolean rel;
    @SerializedName("data")
    private UserPointInfo data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public UserPointInfo getData() {
        return data;
    }

    public void setData(UserPointInfo data) {
        this.data = data;
    }

    public static class UserPointInfo {
        @SerializedName("userId")
        private long userId;
        @SerializedName("restPoint")
        private int restPoint;
        @SerializedName("totalPoint")
        private int totalPoint;
        @SerializedName("crtTime")
        private long crtTime;
        @SerializedName("updTime")
        private long updTime;
        @SerializedName("isdel")
        private boolean isdel;

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public int getRestPoint() {
            return restPoint;
        }

        public void setRestPoint(int restPoint) {
            this.restPoint = restPoint;
        }

        public int getTotalPoint() {
            return totalPoint;
        }

        public void setTotalPoint(int totalPoint) {
            this.totalPoint = totalPoint;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public boolean isIsdel() {
            return isdel;
        }

        public void setIsdel(boolean isdel) {
            this.isdel = isdel;
        }
    }
}
